aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2016-03-30 14:30:23 -0700
committerGuy Harris <guy@alum.mit.edu>2016-03-30 21:30:58 +0000
commitc873c0bef3edf32c45f4c2b2178900248c3af1d6 (patch)
treea581964c890cbcafbd917e5cdb67b405cc8ff062
parent3f6381fe2ab786ea564dc4db6260e3b281c3399d (diff)
Install GNU autotools even on Snow Leopard.
The Snow Leopard versions are too old for current Wireshark. Change-Id: I25936370164d69d6b0eaca4ac9e3253772e0ac73 Reviewed-on: https://code.wireshark.org/review/14712 Reviewed-by: Guy Harris <guy@alum.mit.edu>
-rwxr-xr-xmacosx-setup.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 1366b433bb..8114ae21d6 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -147,13 +147,12 @@ DARWIN_MAJOR_VERSION=`uname -r | sed 's/\([0-9]*\).*/\1/'`
#
# GNU autotools; they're provided with releases up to Snow Leopard, but
-# not in later releases.
+# not in later releases, and the Snow Leopard version is too old for
+# current Wireshark, so we install them unconditionally.
#
-if [ -n "$AUTOTOOLS" -a $DARWIN_MAJOR_VERSION -gt 10 ]; then
- AUTOCONF_VERSION=2.69
- AUTOMAKE_VERSION=1.13.3
- LIBTOOL_VERSION=2.4.2
-fi
+AUTOCONF_VERSION=2.69
+AUTOMAKE_VERSION=1.13.3
+LIBTOOL_VERSION=2.4.2
install_xz() {
if [ "$XZ_VERSION" -a ! -f xz-$XZ_VERSION-done ] ; then